package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ActClassification;
import io.lettuce.core.dynamic.annotation.Param;

/**
 * 分配信息Service接口
 * 
 * @author ruoyi
 * @date 2023-08-11
 */
public interface IActClassificationService 
{
    /**
     * 查询分配信息
     * 
     * @param id 分配信息ID
     * @return 分配信息
     */
     ActClassification selectActClassificationById(Long id);

    /**
     * 查询分配信息列表
     * 
     * @param actClassification 分配信息
     * @return 分配信息集合
     */
     List<ActClassification> selectActClassificationList(ActClassification actClassification);

    /**
     * 新增分配信息
     * 
     * @param actClassification 分配信息
     * @return 结果
     */
     int insertActClassification(ActClassification actClassification);

    /**
     * 修改分配信息
     * 
     * @param actClassification 分配信息
     * @return 结果
     */
     int updateActClassification(ActClassification actClassification);

    /**
     * 批量删除分配信息
     * 
     * @param ids 需要删除的分配信息ID
     * @return 结果
     */
     int deleteActClassificationByIds(Long[] ids);

    /**
     * 删除分配信息信息
     * 
     * @param id 分配信息ID
     * @return 结果
     */
     int deleteActClassificationById(Long id);

    List<Integer> findId(Long id);


    /**
     * 启用物料细分类管理
     *
     * @param id  尝试启用物料细分类管理的id
     * @return
     */
    int setEnable(@Param("id") Long id, @Param("status") Integer status);


    /**
     * 禁用
     *
     * @param id  尝试禁用物料细分类管理的id
     */
    int setDisable(@Param("id") Long id, @Param("status") Integer status);
    List<ActClassification> getAllActClassifications();
    List<ActClassification> getSubActClassifications(int parentId);

    List<ActClassification> savePid(Long sskId);

    List<ActClassification> getSubActClassDy(int sskId);
}
